/*
Тестировалось на Arduino IDE 1.8.5
Дата тестирования 31.10.2019г.
*/

#include "Adafruit_VL53L0X.h"                              

Adafruit_VL53L0X lox = Adafruit_VL53L0X();

void setup() {
  Serial.begin(115200);                                              
  while (! Serial) {                               
    delay(1);                                      
  }
  
  Serial.println("Adafruit VL53L0X test");         
  if (!lox.begin()) {                            
    Serial.println(F("Failed to boot VL53L0X"));   
    while(1);
  }
  Serial.println(F("VL53L0X API Simple Ranging example\n\n")); 
}

void loop() {
  VL53L0X_RangingMeasurementData_t measure;
  
  Serial.print("Reading a measurement... ");
  lox.rangingTest(&measure, false); 

  if (measure.RangeStatus != 4) {  
    Serial.print("Distance (mm): "); Serial.println(measure.RangeMilliMeter);
  } else {
    Serial.println(" out of range ");
  }
    
  delay(100);
}
